package arcyd.com.util;

import java.util.HashMap;
import java.util.Map;

import org.springframework.stereotype.Component;


/**
 * 
 * @author Eva Maria Gonzalez
 */
@Component
public class ExtJSReturn {


	
	/**
	 * Generates modelMap to return in the modelAndView in case
	 * of exception
	 * @param msg message
	 * @return
	 */
	public static Map<String,Object> mapError(String msg){

		Map<String,Object> modelMap = new HashMap<String,Object>(2);
		modelMap.put("message", msg);
		modelMap.put("success", false);

		return modelMap;
	} 
}
