
Ext.Loader.setConfig({
    enabled: true
});

Ext.application({

	      
	        stores: [
	            'Localizaciones',
	            'EstadosReserva',
	            'Actividades',
	            'ReservaActividades'
	        ],
	        views: [
	            'FooterView',
	            'MenuView',
	            'HeaderView',
	            'reservasUsuario',
	            'reservaPista',
	            'reservaActividad',
	            'reservasUsuarioPanel'
	        ],
	        name: 'arcyd',

    launch: function() {
    	Ext.QuickTips.init();
        var cmp1 = Ext.create('arcyd.view.actividad.viewViewport', {
            renderTo: Ext.getBody()
        });
     
        var descripcionActividadForm = Ext.getCmp('actividadViewForm');

       
        
        descripcionActividadForm.getForm().load({


            method:'GET',

            waitMsg:'Loading',

            url:'/arcyd/actividad/getById.action',

            headers: {  "Accept": "application/json" },

            params: {

                'idActividad': idActividad

            },

            success: function(f, a){
        	
            	var jsonValues = Ext.JSON.decode(a.response.responseText);
            	 
            	 descripcionActividadForm.getForm().setValues(jsonValues);
            	 
            	 var tipoLocalizacion = jsonValues.data.localizacion.tipo;
            	 var nombreProfesor = jsonValues.data.profesor.nombre;
            	 var apellidoProfesor = jsonValues.data.profesor.apellido;
            	 
            	 Ext.getCmp('descripcionGeneralActividad').setValue('La clase es impartida por: '+nombreProfesor + ' '+ apellidoProfesor +' en: ' +tipoLocalizacion  );

            	 var horarioActividadGrid = Ext.getCmp('horarioActividadGrid');
            	 var horarioActividadStore = Ext.create('arcyd.store.HorarioActividades');
            	 horarioActividadStore.proxy.extraParams['idActividad'] = idActividad;
            	 horarioActividadGrid.getView().bindStore(horarioActividadStore);
            	 horarioActividadGrid.view.store.load();

            }    				

        });
        Ext.getCmp("userNameIden").setValue("Bienvenid@: "+ msgBienvenida);
		
        Ext.EventManager.onWindowResize(cmp1.doLayout, cmp1);
       cmp1.show();
    }

});
