Ext.define('arcyd.model.Noticia', {
    extend: 'Ext.data.Model',

    fields: [
        {
            name: 'id'
        },
        {
            name: 'titulo'
        },
        {
            name: 'descripcion'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return new Date(v);
                return null;
            },
            dateFormat: 'Y-m-d',
            name: 'fecha',
            type: 'date'
        }
    ]
});