Ext.define('arcyd.store.EstadosReserva', {
    extend: 'Ext.data.Store',
    alias: 'store.EstadosReserva',

    requires: [
        'arcyd.model.EstadosReserva'
    ],

    constructor: function(cfg) {
        var me = this;
        cfg = cfg || {};
        me.callParent([Ext.apply({
            model: 'arcyd.model.EstadosReserva',
            storeId: 'EstadosReserva',
            proxy: {
                type: 'ajax',
                url: 'estadoReserva/view.action',
                reader: {
                    type: 'json',
                    root: 'data'
                }
            }
        }, cfg)]);
    }
});