Ext.define('arcyd.store.Localizaciones', {
    extend: 'Ext.data.Store',
    alias: 'store.Localizaciones',

    requires: [
        'arcyd.model.Localizacion'
    ],

    constructor: function(cfg) {
        var me = this;
        cfg = cfg || {};
        me.callParent([Ext.apply({
            model: 'arcyd.model.Localizacion',
            storeId: 'Localizacioens',
            proxy: {
                type: 'ajax',
                url: 'localizacion/view.action',
                reader: {
                    type: 'json',
                    root: 'data'
                }
            }
        }, cfg)]);
    }
});