Ext.define('arcyd.view.GeneralViewport', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.GeneralViewport',

    requires: [
        'arcyd.view.LoginFormPanel',
        'arcyd.view.noticia.List'
    ],

    layout: {
        align: 'stretch',
        type: 'vbox'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    height: 150,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'container',
                            columnWidth: 1,
                            html: '<b>ARCYD</>',
                            layout: {
                                type: 'column'
                            }
                        },
                        {
                            xtype: 'LoginFormPanel'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    flex: 1,
                    margins: '30',
                    id: 'toto',
                    layout: {
                        type: 'card'
                    },
                    items: [
                        {
                            xtype: 'noticiaList'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    flex: 1,
                    height: 90
                }
            ]
        });

        me.callParent(arguments);
    }

});