Ext.define('arcyd.view.actividad.reservaViewport', {
    extend: 'Ext.container.Viewport',

    requires: [
        'arcyd.view.menu.HeaderView',
        'arcyd.view.menu.MenuViewAdmin',
        'arcyd.view.menu.FooterView',
        'arcyd.view.reservasActividadPanel'
    ],

    layout: {
        type: 'border'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'menuHeaderView',
                    region: 'north'
                },
                {
                    xtype: 'menuMenuViewAdmin',
                    region: 'west'
                },
                {
                    xtype: 'menuFooterView',
                    region: 'south'
                },
                {
                    xtype: 'reservasactividadpanel',
                    region: 'center'
                }
            ]
        });

        me.callParent(arguments);
    }

});