Ext.define('arcyd.view.menu.HeaderView', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.menuHeaderView',

    baseCls: 'app-header',
    cls: 'header',
    height: 113,
    id: 'HeaderView',
    style: 'text-align: center;\nfont-size: 1.8em;\nbackground : darkblue; ',
    layout: {
        type: 'anchor'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'component',
                    cls: 'topTitle',
                    html: '<br><span>Asociacion Recreativa cultural y Deportiva</span>'
                }
            ],
            dockedItems: [
                {
                    xtype: 'container',
                    dock: 'bottom',
                    height: 30,
                    layout: {
                        align: 'stretch',
                        pack: 'end',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'container',
                            height: 30,
                            padding: '0 200 10 5',
                            width: 600,
                            items: [
                                {
                                    xtype: 'displayfield',
                                    cls: 'title-header-red',
                                    id: 'userNameIden',
                                    width: 550,
                                    fieldCls: 'title-header-red'
                                }
                            ]
                        },
                        {
                            xtype: 'component',
                            html: '<a href="j_spring_security_logout">Desconectar</a>',
                            padding: '0 20 10 5'
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});