Ext.define('arcyd.view.menu.MenuViewAdmin', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.menuMenuViewAdmin',

    baseCls: 'app-menus',
    border: false,
    cls: 'app',
    height: 800,
    id: 'MenuViewAdmin',
    width: 150,
    bodyPadding: 10,
    iconCls: 'app',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    cls: 'menu',
                    items: [
                        {
                            xtype: 'container',
                            cls: 'menug',
                            items: [
                                {
                                    xtype: 'container',
                                    cls: 'menuApp',
                                    items: [
                                        {
                                            xtype: 'component',
                                            html: '<h2>Inicio</h2><ul> <li><a href="/arcyd/usuarioManage.jsp">Home</a></li> 			</ul>'
                                        }
                                    ]
                                },
                                {
                                    xtype: 'container',
                                    cls: 'menuAction',
                                    items: [
                                        {
                                            xtype: 'component',
                                            cls: 'menuAction',
                                            componentCls: 'menuAction',
                                            html: '<h2>Gestion administrador</h2>\n<ul>\n<li><a href="usuarioManage.jsp">Gestionar usuario</a></li> \n	<li><a href="actividadManage.jsp">Gestionar actividades</a></li> 		\n	<li><a href="horarioActividadManage.jsp">Gestionar horario actividades</a></li> 		\n	<li><a href="pistaManage.jsp">Gestionar pistas</a></li> \n	<li><a href="noticiaManage.jsp">Gestionar noticias</a></li> \n	<li><a href="actividadReserva.jsp">Ver reservas actividad</a></li> 	\n	<li><a href="pistaReserva.jsp">Ver reservas pista</a></li> \n</ul>',
                                            styleHtmlCls: 'menuAction'
                                        }
                                    ]
                                },
                                {
                                    xtype: 'container',
                                    cls: 'menuInfo',
                                    items: [
                                        {
                                            xtype: 'component',
                                            cls: 'menuInfo',
                                            componentCls: 'menuInfo',
                                            html: '<h2>Más información</h2>\n<ul><br>\n<li><a href="mailto:evagss@uoc.edu">Soporte</a></li><br>			\n</ul>'
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});