Ext.define('arcyd.view.menu.MenuViewEmpty', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.menumenuviewempty',

    baseCls: 'app-menus',
    border: false,
    cls: 'app',
    height: 800,
    id: 'MenuView1',
    bodyPadding: 10,
    iconCls: 'app',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    cls: 'menu',
                    items: [
                        {
                            xtype: 'container',
                            cls: 'menug',
                            items: [
                                {
                                    xtype: 'container',
                                    cls: 'menuApp'
                                },
                                {
                                    xtype: 'container',
                                    cls: 'menuAction'
                                },
                                {
                                    xtype: 'container',
                                    cls: 'menuInfo'
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});