Ext.define('arcyd.view.pista.selectableViewport', {
    extend: 'Ext.container.Viewport',

    requires: [
        'arcyd.view.menu.MenuViewUser',
        'arcyd.view.pista.inscripcion',
        'arcyd.view.menu.HeaderView',
        'arcyd.view.menu.FooterView'
    ],

    layout: {
        type: 'border'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'menuMenuViewUser',
                    region: 'west'
                },
                {
                    xtype: 'pistainscripcion',
                    region: 'center'
                },
                {
                    xtype: 'menuHeaderView',
                    region: 'north'
                },
                {
                    xtype: 'menuFooterView',
                    region: 'south'
                }
            ]
        });

        me.callParent(arguments);
    }

});