Ext.define('arcyd.view.usuario.manageViewport', {
    extend: 'Ext.container.Viewport',
    alias: 'widget.usuariomanageviewport',

    requires: [
        'arcyd.view.menu.HeaderView',
        'arcyd.view.usuario.List',
        'arcyd.view.menu.MenuViewAdmin',
        'arcyd.view.menu.FooterView'
    ],

    autoScroll: true,
    layout: {
        type: 'border'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'menuHeaderView',
                    region: 'north'
                },
                {
                    xtype: 'usuarioList',
                    region: 'center'
                },
                {
                    xtype: 'menuMenuViewAdmin',
                    region: 'west'
                },
                {
                    xtype: 'menuFooterView',
                    region: 'south'
                }
            ]
        });

        me.callParent(arguments);
    }

});