
Ext.Loader.setConfig({
    enabled: true
});

Ext.application({

	      
	        stores: [
	            'Noticias',
	            'Usuarios',
	            'Localizaciones',
	            'EstadosReserva',
	            'Pistas',
	            'ReservaPistas',
	            'ReservaActividades'
	        ],
	        views: [
	            'LoginFormPanel',
	            'usuario.Edit',
	            'usuario.List',
	            'noticia.List',
	            'noticia.Edit',
	            'FooterView',
	            'MenuView',
	            'HeaderView',
	            'reservasUsuario',
	            'reservaPista',
	            'reservaActividad',
	            'reservasUsuarioPanel'
	        ],
	        name: 'arcyd',

    launch: function() {
    	Ext.QuickTips.init();
        var cmp1 = Ext.create('arcyd.view.pista.updateViewport', {
            renderTo: Ext.getBody()
        });
     
        var pistaUpdateForm = Ext.getCmp('pistaUpdateForm');
        var localizacionCombo = Ext.getCmp('localizacionPistaUpdateForm');
        
        pistaUpdateForm.getForm().load({


            method:'GET',

            waitMsg:'Loading',

            url:'/arcyd/pista/getById.action',

            headers: {  "Accept": "application/json" },

            params: {

                'idPista': idPista

            },

            success: function(f, a){
        	
            	var jsonValues = Ext.JSON.decode(a.response.responseText);
            	 
            	pistaUpdateForm.getForm().setValues(jsonValues);
            	 
            	 localizacionCombo.store.load();
            	 var idLocalizacion = jsonValues.data.localizacion.id;
            	 localizacionCombo.setValue(idLocalizacion);

            }    				

        });
        Ext.getCmp("userNameIden").setValue("Bienvenid@: "+ msgBienvenida);
		
        Ext.EventManager.onWindowResize(cmp1.doLayout, cmp1);
       cmp1.show();
    }

});
