
Ext.Loader.setConfig({
    enabled: true
});

Ext.application({

	      
	        stores: [
	                 'Localizaciones',
	 	            'EstadosReserva',
	 	            'Actividades',
	 	            'Profesores',
	 	            'ReservaActividades'
	        ],
	        views: [
	            'LoginFormPanel',
	            'usuario.Edit',
	            'usuario.List',
	            'noticia.List',
	            'noticia.Edit',
	            'FooterView',
	            'MenuView',
	            'HeaderView',
	            'reservasUsuario',
	            'reservaPista',
	            'reservaActividad',
	            'reservasUsuarioPanel'
	        ],
	        name: 'arcyd',

    launch: function() {
    	console.log('1');
    	Ext.QuickTips.init();
        var cmp1 = Ext.create('arcyd.view.actividad.updateViewport', {
            renderTo: Ext.getBody()
        });
     
        var actividadUpdateForm = Ext.getCmp('actividadUpdateForm');
        var localizacionCombo = Ext.getCmp('localizacionActividadUpdateForm');
        var profesorCombo = Ext.getCmp('profesorActividadUpdateForm');
         
     
        actividadUpdateForm.getForm().load({


            method:'GET',

            waitMsg:'Loading',

            url:'/arcyd/actividad/getById.action',

            headers: {  "Accept": "application/json" },

            params: {

                'idActividad': idActividad

            },

            success: function(f, a){
        	
            	var jsonValues = Ext.JSON.decode(a.response.responseText);
            	 
            	actividadUpdateForm.getForm().setValues(jsonValues);
            	 
            	localizacionCombo.store.load();
            	 var idLocalizacion = jsonValues.data.localizacion.id;
            	 localizacionCombo.setValue(idLocalizacion);
            	 
            	 profesorCombo.store.load();
            	 var idProfesor = jsonValues.data.profesor.id;
            	 profesorCombo.setValue(idProfesor);
            	
            	 var horarioActividadGrid = Ext.getCmp('horarioActividadByActividadGrid');
            	 var horarioActividadStore = Ext.create('arcyd.store.HorarioActividades');
            	 horarioActividadStore.proxy.extraParams.idActividad = idActividad;
            	 horarioActividadGrid.getView().bindStore(horarioActividadStore);
            	 horarioActividadGrid.view.store.load();
            	 
            }    				

        });
        Ext.getCmp("userNameIden").setValue("Bienvenid@: "+ msgBienvenida);
		
        Ext.EventManager.onWindowResize(cmp1.doLayout, cmp1);
       cmp1.show();
    }

});
