Ext.define('arcyd.controller.Noticia', {
    extend: 'Ext.app.Controller',

    models: [
        'Noticia'
    ],
    stores: [
        'Noticias'
    ],
    views: [
        'noticia.List',
        'noticia.Edit'
    ],

    refs: [
        {
            ref: 'usuariosPanel',
            selector: 'panel'
        },
        {
            ref: 'usuarioList',
            selector: 'usuarioList'
        }
    ],

    onSaveNoticiaToggle: function(button, pressed, eOpts) {
        var win    = button.up('window'),
            form   = win.down('form'),
            record = form.getRecord(),
            values = form.getValues();


        if (values.id > 0){
            record.set(values);
        } else{
            record = Ext.create('arcyd.model.Noticia');
            record.set(values);
            record.setId(0);
            this.getNoticiasStore().add(record);
        }

        win.close();
        this.getNoticiasStore().sync();
    },

    init: function(application) {
        this.control({
            "#saveNoticia": {
                toggle: this.onSaveNoticiaToggle
            }
        });
    }

});
