Ext.define('arcyd.controller.Pista', {
    extend: 'Ext.app.Controller',

    onCreatePistaToggle: function(button, e, eOpts) {

        var pistaCreateForm = Ext.getCmp('pistaCreateForm');
        var sendObject = pistaCreateForm.getForm().getValues(false,false,false,true);


        Ext.getCmp('pistaCreateForm').getForm().submit({
            url:'/arcyd/pista/create.action',
            method: 'GET',
            params: {
                data: Ext.encode(sendObject)
            },
            headers: {  "Accept": "application/json" },
            success: function(form,action) {


                var jsonData = Ext.JSON.decode(action.response.responseText);

                var pistaId = jsonData.bcObject.executionListData[0].id;

                Ext.Msg.alert('Success', action.result.message);

            },

            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }

        });


    },

    init: function(application) {
        this.control({
            "#createPista": {
                click: this.onCreatePistaToggle
            }
        });
    }

});
