Ext.define('arcyd.controller.Usuario', {
    extend: 'Ext.app.Controller',

    models: [
        'Usuario'
    ],
    stores: [
        'Usuarios'
    ],
    views: [
        'usuario.Edit',
        'usuario.List'
    ],

    refs: [
        {
            ref: 'usuariosPanel',
            selector: 'panel'
        },
        {
            ref: 'usuarioList',
            selector: 'usuarioList'
        }
    ],

    updateUser: function(target) {
        var win    = button.up('window'),
            form   = win.down('form'),
            record = form.getRecord(),
            values = form.getValues();


        if (values.id > 0){
            record.set(values);
        } else{
            record = Ext.create('arcyd.model.Usuario');
            record.set(values);
            record.setId(0);
            this.getSociosStore().add(record);
        }

        win.close();
        this.getSociosStore().sync();
    },

    onGridpanelItemDeletebuttonClick1: function() {
        alert('Delete button');
    },

    onGridpanelItemEditbuttonClick1: function() {
        alert('Edit');
    },

    init: function(application) {
        this.control({
            "usuarioedit button[action=save]": {
                click: this.updateUser
            },
            "gridpanel": {
                itemdeletebuttonclick: this.onGridpanelItemDeletebuttonClick1,
                itemeditbuttonclick: this.onGridpanelItemEditbuttonClick1
            }
        });
    }

});
