Ext.define('arcyd.model.HorarioActividad', {
    extend: 'Ext.data.Model',

    hasOne: {
        model: 'arcyd.model.Actividad',
        name: 'actividad'
    },

    fields: [
        {
            name: 'id'
        },
        {
            name: 'dia'
        },
        {
            name: 'hora'
        },
        {
        	name: 'numPersonas'
        },
        {
            convert: function(v, rec) {

                if(v != null)
                return v.nombre;
                return null;
            },
            mapping: 'actividad',
            name: 'actividadnombre'
        }
    ]
});