Ext.define('arcyd.store.Profesores', {
    extend: 'Ext.data.Store',
    alias: 'store.Profesores',

    requires: [
        'arcyd.model.Profesor'
    ],

    constructor: function(cfg) {
        var me = this;
        cfg = cfg || {};
        me.callParent([Ext.apply({
            model: 'arcyd.model.Profesor',
            storeId: 'Profesores',
            proxy: {
                type: 'ajax',
                url: 'profesor/view.action',
                reader: {
                    type: 'json',
                    root: 'data'
                }
            }
        }, cfg)]);
    }
});