Ext.define('arcyd.view.homepage', {
    extend: 'Ext.container.Viewport',
    alias: 'widget.homepage',

    requires: [
        'arcyd.view.menu.FooterView',
        'arcyd.view.menu.MenuViewEmpty',
        'arcyd.view.LoginFormPanel',
        'arcyd.view.noticia.List',
        'arcyd.view.menu.HeaderViewEmpty'
    ],

    autoScroll: true,
    layout: {
        type: 'border'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'menuFooterView',
                    region: 'south'
                },
                {
                    xtype: 'menumenuviewempty',
                    region: 'west'
                },
                {
                    xtype: 'LoginFormPanel',
                    region: 'east'
                },
                {
                    xtype: 'noticiaList',
                    padding: 10,
                    bodyPadding: 10,
                    region: 'center'
                },
                {
                    xtype: 'menuheaderviewempty',
                    region: 'north'
                }
            ]
        });

        me.callParent(arguments);
    }

});