Ext.define('arcyd.view.menu.MenuViewUser', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.menuMenuViewUser',

    baseCls: 'app-menus',
    border: false,
    cls: 'app',
    height: 800,
    id: 'MenuViewUser',
    width: 150,
    bodyPadding: 10,
    iconCls: 'app',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    cls: 'menu',
                    items: [
                        {
                            xtype: 'container',
                            cls: 'menug',
                            items: [
                                {
                                    xtype: 'container',
                                    cls: 'menuApp',
                                    items: [
                                        {
                                            xtype: 'component',
                                            html: '<h2>Inicio</h2><ul> 					<li><a href="/arcyd/inscripciones.jsp">Home</a></li> 			</ul>'
                                        }
                                    ]
                                },
                                {
                                    xtype: 'container',
                                    cls: 'menuAction',
                                    items: [
                                        {
                                            xtype: 'component',
                                            cls: 'menuAction',
                                            componentCls: 'menuAction',
                                            html: '<h2>Gestion usuario</h2>\n<ul>\n	<li><a href="inscripciones.jsp">Ver mis inscripciones</a></li> \n	<li><a href="actividadInscripcion.jsp">Reservar actividad</a></li> \n	<li><a href="pistaInscripcion.jsp">Reservar pista</a></li> \n</ul>',
                                            styleHtmlCls: 'menuAction'
                                        }
                                    ]
                                },
                                {
                                    xtype: 'container',
                                    cls: 'menuInfo',
                                    items: [
                                        {
                                            xtype: 'component',
                                            cls: 'menuInfo',
                                            componentCls: 'menuInfo',
                                            html: '<h2>Más información</h2>\n<ul><br>\n<li><a href="mailto:evagss@uoc.edu">Soporte</a></li><br>			\n</ul>'
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});