Ext.define('arcyd.view.noticia.List', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.noticiaList',

    id: 'noticiasGridPanel',
    maxHeight: 359,
    bodyBorder: false,
    title: 'Noticias',
    forceFit: true,
    store: 'Noticias',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'id',
                    hideable: false,
                    text: 'Id'
                },
                {
                    xtype: 'datecolumn',
                    renderer: Ext.util.Format.dateRenderer('Y-m-d'),
                    maxWidth: 150,
                    dataIndex: 'fecha',
                    hideable: false,
                    text: 'Fecha',
                    format: 'd/m/Y'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'titulo',
                    text: 'Titulo'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'descripcion',
                    text: 'Descripcion',
                    flex: 1
                }
            ]
        });

        me.callParent(arguments);
    }

});