Ext.define('arcyd.view.reservas', {
    extend: 'Ext.container.Viewport',
    alias: 'widget.reservas',

    requires: [
        'arcyd.view.menu.HeaderView',
        'arcyd.view.reservasUsuarioPanel',
        'arcyd.view.menu.MenuViewUser',
        'arcyd.view.menu.FooterView'
    ],

    autoScroll: true,
    layout: {
        type: 'border'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'menuHeaderView',
                    region: 'north'
                },
                {
                    xtype: 'reservasUsuarioPanel',
                    id: 'reservasUsuarioPanel',
                    padding: 10,
                    region: 'center'
                },
                {
                    xtype: 'menuMenuViewUser',
                    region: 'west'
                },
                {
                    xtype: 'menuFooterView',
                    region: 'south'
                }
            ]
        });

        me.callParent(arguments);
    }

});