Ext.define('arcyd.view.reservasActividadPanel', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.reservasactividadpanel',

    requires: [
        'arcyd.view.actividad.reservaFilter',
        'arcyd.view.actividad.reservasAdmin'
    ],

    id: 'reservasActividad',
    layout: {
        type: 'column'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'actividadfilter',
                    columnWidth: 1,
                    margin: '10 10 0 10'
                },
                {
                    xtype: 'actividadreservasadmin',
                    columnWidth: 1,
                    padding: 10
                }
            ]
        });

        me.callParent(arguments);
    }

});