Ext.define('arcyd.view.reservasPistaPanel', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.reservaspistapanel',

    requires: [
        'arcyd.view.pista.reservaFilter',
        'arcyd.view.pista.reservasAdmin'
    ],

    id: 'reservasPista',
    autoScroll: true,
    layout: {
        type: 'column'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'pistareservafilter',
                    columnWidth: 1,
                    margin: '10 10 0 10',
                    collapsed: true
                },
                {
                    xtype: 'pistareservasadmin',
                    columnWidth: 1
                }
            ]
        });

        me.callParent(arguments);
    }

});