Ext.define('arcyd.view.reservasUsuarioPanel', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.reservasUsuarioPanel',

    requires: [
        'arcyd.view.pista.reservas',
        'arcyd.view.actividad.reservas'
    ],

    id: 'misReservasPanel',
    autoScroll: true,
    layout: {
        type: 'column'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'pistareservas',
                    maxHeight: 459,
                    columnWidth: 1
                },
                {
                    xtype: 'actividadreservas',
                    maxHeight: 459,
                    padding: 10,
                    columnWidth: 1
                }
            ]
        });

        me.callParent(arguments);
    }

});