
Ext.Loader.setConfig({
    enabled: true
});

Ext.application({

	      
	        stores: [
	            'Noticias',
	            'Usuarios',
	            'Localizaciones',
	            'EstadosReserva',
	            'Pistas',
	            'Actividades',
	            'ReservaPistas',
	            'ReservaActividades'
	        ],
	        views: [
	            'LoginFormPanel',
	            'usuario.Edit',
	            'usuario.List',
	            'noticia.List',
	            'noticia.Edit',
	            'FooterView',
	            'MenuView',
	            'HeaderView',
	            'reservasUsuario',
	            'reservaPista',
	            'reservaActividad',
	            'reservasUsuarioPanel'
	        ],
	        name: 'arcyd',

    launch: function() {
    	Ext.QuickTips.init();
        var cmp1 = Ext.create('arcyd.view.noticia.updateViewport', {
            renderTo: Ext.getBody()
        });
     
        var noticiaUpdateForm = Ext.getCmp('noticiaUpdateForm');
        
        noticiaUpdateForm.getForm().load({


            method:'GET',

            waitMsg:'Loading',

            url:'/arcyd/noticia/getById.action',

            headers: {  "Accept": "application/json" },

            params: {

                'idNoticia': idNoticia

            },

            success: function(f, a){
        	
            	var jsonValues = Ext.JSON.decode(a.response.responseText);
            	 
            	noticiaUpdateForm.getForm().setValues(jsonValues);
            }    				

        });
        Ext.getCmp("userNameIden").setValue("Bienvenid@: "+ msgBienvenida);
		
        Ext.EventManager.onWindowResize(cmp1.doLayout, cmp1);
       cmp1.show();
    }

});
