
Ext.Loader.setConfig({
    enabled: true
});

Ext.application({

	      
	        stores: [
	            'Noticias',
	            'Usuarios',
	            'Localizaciones',
	            'EstadosReserva',
	            'Pistas',
	            'Actividades',
	            'ReservaPistas',
	            'ReservaActividades'
	        ],
	        views: [
	            'LoginFormPanel',
	            'usuario.Edit',
	            'usuario.List',
	            'noticia.List',
	            'noticia.Edit',
	            'FooterView',
	            'MenuView',
	            'HeaderView',
	            'reservasUsuario',
	            'reservaPista',
	            'reservaActividad',
	            'reservasUsuarioPanel'
	        ],
	        name: 'arcyd',

    launch: function() {
    	Ext.QuickTips.init();
        var cmp1 = Ext.create('arcyd.view.pista.viewViewport', {
            renderTo: Ext.getBody()
        });
     
        var descripcionPistaForm = Ext.getCmp('pistaViewForm');
        descripcionPistaForm.getForm().load({
            method:'GET',
            waitMsg:'Loading',
            url:'/arcyd/pista/getById.action',
            headers: {  "Accept": "application/json" },
            params: {
                'idPista': idPista
            },
            success: function(f, a){
        	
            	var jsonValues = Ext.JSON.decode(a.response.responseText);
            	 
            	descripcionPistaForm.getForm().setValues(jsonValues);
            	 
            	 var tipoLocalizacion = jsonValues.data.localizacion.tipo;
            	 var numPistas = jsonValues.data.numPistas; 
            	 Ext.getCmp('descripcionGeneralPista').setValue('La pista se encuentra situada en: ' +tipoLocalizacion+'. Habiendo en total '+numPistas+ 'pista(s) de esta clase.' );
            }    				

        });
        Ext.getCmp("userNameIden").setValue("Bienvenid@: "+ msgBienvenida);
		
        Ext.EventManager.onWindowResize(cmp1.doLayout, cmp1);
       cmp1.show();
    }

});
